Bug 1263550 - F22 Installation offers no disks on system with BIOS fake RAID (DDF meta data)
F22 Installation offers no disks on system with BIOS fake RAID (DDF meta data)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On: 1263539
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 03:11 EDT by Martin Wilck
Modified: 2016-07-19 15:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1263539
Environment:
Last Closed: 2016-07-19 15:18:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot of installation destination screen (85.79 KB, image/png)
2015-09-16 03:11 EDT, Martin Wilck
no flags Details
anaconda logs (3.32 MB, application/x-xz)
2015-09-16 03:11 EDT, Martin Wilck
no flags Details
anaconda logs with rd.auto=1 rd.md=1 rd.md.ddf=1 (104.99 KB, application/x-gzip)
2015-09-16 06:20 EDT, Martin Wilck
no flags Details
anaconda logs with "nodmraid" (51.75 KB, application/x-gzip)
2015-09-16 09:33 EDT, Martin Wilck
no flags Details

  None (edit)
Description Martin Wilck 2015-09-16 03:11:12 EDT
Created attachment 1073907 [details]
screen shot of installation destination screen

+++ This bug was initially created as a clone of Bug #1263539 +++

Description of problem:
Installation offers no disks for installation with BIOS fake RAID (DDF meta data)

Version-Release number of selected component (if applicable):
22.20.13-1.fc22

How reproducible:
always

Steps to Reproduce:
1. install on Fujitsu PRIMERGY RX1330 (or other model) with BIOS fake RAID

Actual results:
See attached screen shot

Expected results:
Fake RAID arrays are offered for installation.

Additional info:
The fake RAID volumes are visible in the system (on the command line) and configured with dmraid. I had actually expected them to be configured with MD rather than dmraid. But that's a minor point compared to the fact that installation doesn't work at all.
Comment 1 Martin Wilck 2015-09-16 03:11:44 EDT
Created attachment 1073908 [details]
anaconda logs
Comment 2 Martin Wilck 2015-09-16 06:14:02 EDT
Possibly helpful log snippets:

06:40:47,258 DEBUG blivet: lvm filter: adding ddf1_4c53492020202020808627c3000000004711471100001450 to the reject list
06:40:47,258 WARN blivet: ignoring dm device ddf1_4c53492020202020808627c3000000004711471100001450
06:40:47,258 DEBUG blivet: no device obtained for ddf1_4c53492020202020808627c3000000004711471100001450

06:40:47,260 DEBUG blivet:            DeviceTree.getDeviceByName returned None
06:40:47,260 ERR blivet: failure scanning device ddf1_4c53492020202020808627c3000000004711471100001450p8: could not add slave ddf1_4c53492020202020808627c3000000004711471100001450
Comment 3 Martin Wilck 2015-09-16 06:20:29 EDT
Created attachment 1073946 [details]
anaconda logs with rd.auto=1 rd.md=1 rd.md.ddf=1

I inferred from the logs in comment #2 that blivet doesn't know how to handle this kind of DM devices.

So, after a bit of googling and trial and error, I tried the command line options
"rd.auto=1 rd.md=1 rd.md.ddf=1" (@€&%$§ those silently added command line options in /usr/lib/dracut/hooks/cmdline/25-parse-anaconda-options.sh drove me nuts!!!), but that caused an anaconda crash (the MD arrays were nicely running1!)
Comment 4 Martin Wilck 2015-09-16 09:33:56 EDT
Created attachment 1074009 [details]
anaconda logs with "nodmraid"

With "nodmraid", no devices are offered for installation, either.
blivet seems to notice that sda/sdb are part of a BIOS raid (even though it is not active) and refuses to offer them for installation.
Comment 5 David Lehman 2015-09-16 15:09:53 EDT
(In reply to Martin Wilck from comment #4)
> With "nodmraid", no devices are offered for installation, either.
> blivet seems to notice that sda/sdb are part of a BIOS raid (even though it
> is not active) and refuses to offer them for installation.

That is working as designed. blivet does not support ignoring existing metadata on block devices.

It is known that installation to arrays using DDF metadata is not possible at this time. A timeframe for making it work has not been determined.
Comment 6 Martin Wilck 2015-09-17 03:05:06 EDT
Is there a project / feature request for Fedora tracking this?
Comment 7 Fedora End Of Life 2016-07-19 15:18:33 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.